pangomm: Pango::GlyphGeometry Class Reference

pangomm 2.56.1

Public Member Functions | Protected Attributes | Related Symbols | List of all members
Pango::GlyphGeometry Class Reference

A Pango::GlyphGeometry contains width and positioning information for a single glyph. More...

`#include <pangomm/glyph.h>`

## Public Member Functions
| GlyphGeometry ()
| GlyphGeometry (const PangoGlyphGeometry * src)
GlyphUnit | get_width () const
| Gets the logical width to use for the character.
GlyphUnit | get_x_offset () const
| Gets the horizontal offset from nominal character position.
GlyphUnit | get_y_offset () const
| Gets the vertical offset from nominal character position.
PangoGlyphGeometry * | gobj ()
const PangoGlyphGeometry * | gobj () const

## Protected Attributes
PangoGlyphGeometry | gobject_

## Related Symbols
(Note that these are not member symbols.)
Pango::GlyphGeometry & | wrap (PangoGlyphGeometry * object)
const Pango::GlyphGeometry & | wrap (const PangoGlyphGeometry * object)

## Detailed Description

A Pango::GlyphGeometry contains width and positioning information for a single glyph.

Distances are in 1/64ths of a point.

## Constructor & Destructor Documentation

## ◆ GlyphGeometry() [1/2]

Pango::GlyphGeometry::GlyphGeometry | ( |  | ) |

## ◆ GlyphGeometry() [2/2]

Pango::GlyphGeometry::GlyphGeometry | ( | const PangoGlyphGeometry * | src | ) |
| explicit

## Member Function Documentation

## ◆ get_width()

GlyphUnit Pango::GlyphGeometry::get_width | ( |  | ) | const

Gets the logical width to use for the character.

Returns
  The logical width.

## ◆ get_x_offset()

GlyphUnit Pango::GlyphGeometry::get_x_offset | ( |  | ) | const

Gets the horizontal offset from nominal character position.

Returns
  The horizontal offset.

## ◆ get_y_offset()

GlyphUnit Pango::GlyphGeometry::get_y_offset | ( |  | ) | const

Gets the vertical offset from nominal character position.

Returns
  The vertical offset.

## ◆ gobj() [1/2]

PangoGlyphGeometry * Pango::GlyphGeometry::gobj | ( |  | ) |
| inline

## ◆ gobj() [2/2]

const PangoGlyphGeometry * Pango::GlyphGeometry::gobj | ( |  | ) | const
| inline

## Friends And Related Symbol Documentation

## ◆ wrap() [1/2]

const Pango::GlyphGeometry & wrap | ( | const PangoGlyphGeometry * | object | ) |
| related

## ◆ wrap() [2/2]

Pango::GlyphGeometry & wrap | ( | PangoGlyphGeometry * | object | ) |
| related

## Member Data Documentation

## ◆ gobject_

PangoGlyphGeometry Pango::GlyphGeometry::gobject_
| protected